<div class="header">
  <div class="title-h2">
    Электронный документооборот
  </div>

  <button mat-flat-button
          (click)="openInfoDialog()"
          color="primary"
  >
    <mat-icon>
      info
    </mat-icon>

    Как это работает?
  </button>
</div>

<div *appVar="(documents$ | async ) as documents"
     class="documents-container"
>
  <div *ngFor="let document of documents"
       class="document"
  >
    <div class="doc-title title-h4">{{ document.name }}</div>

    <div class="doc-date body-1 text-secondary">
      Создано: {{document.createdDate | date:'dd-MM-yyyy'}}
    </div>

    <ng-container *ngIf="!document.signed">
      <div class="doc-buttons">
        <button mat-button
                class="doc-button sign-doc-button"
                color="primary"
                (click)="signDocument(document.signUid)"
        >
          Подписать
        </button>

        <button mat-button
                class="doc-button sign-doc-button"
                color="warn"
        >
          Отклонить
        </button>
      </div>
    </ng-container>
  </div>
</div>

<!--<div class="content-container m-t-24">-->
<!--  <div class="description">-->
<!--    <div class="header">-->
<!--      <img class="image"-->
<!--           ngSrc="https://lk.roseltorg.ru/d47ca85c904d02e041d0.svg"-->
<!--           alt="Росэлторг.Электронный документоборот - лого"-->
<!--           width="80"-->
<!--           height="80"-->
<!--      >-->

<!--      <div class="title-h3">-->
<!--        Росэлторг. Электронный документооборот-->
<!--      </div>-->

<!--      <div class="text-secondary">-->
<!--        Росэлторг. Электронный документооборот – Юридически значимый электронный документооборот-->
<!--      </div>-->

<!--      <p class="text-body m-t-24">-->
<!--        Просканируйте QR-код или нажмите кнопку "Подключить" для подключения сервисов ЭДО.-->
<!--      </p>-->
<!--    </div>-->
<!--  </div>-->

<!--  <div class="connect-edx">-->
<!--    <div class="qrcodeImage">-->
<!--      <qrcode-->
<!--        [qrdata]="'https://github.com/Cordobo/angularx-qrcode'"-->
<!--        [allowEmptyString]="true"-->
<!--        [ariaLabel]="'QR Code image with the following content...'"-->
<!--        [cssClass]="'center'"-->
<!--        [colorDark]="'#383838'"-->
<!--        [colorLight]="'#ffffffff'"-->
<!--        [elementType]="'canvas'"-->
<!--        [errorCorrectionLevel]="'M'"-->
<!--        [scale]="64"-->
<!--        [title]="'A custom title attribute'"-->
<!--        [width]="300"-->
<!--      ></qrcode>-->
<!--    </div>-->

<!--    <a mat-flat-button-->
<!--       color="primary"-->
<!--    >-->
<!--      Подключить ЭДО-->
<!--    </a>-->
<!--  </div>-->
<!--</div>-->
